# SolrDocument::hasChildDocuments

(PECL solr >= 2.3.0)

SolrDocument::hasChildDocuments — Checks whether the document has any child documents

### Description

public SolrDocument::hasChildDocuments ( void ) : bool

Checks whether the document has any child documents

### Parameters

This function has no parameters.

### Return Values

### See Also

- SolrDocument::getChildDocuments() - Returns an array of child documents (SolrDocument)
- SolrDocument::getChildDocumentsCount() - Returns the number of child documents